Subject: RE: SIGINT, bash and non-cygwin apps
From: "Jon Leichter" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 26 Oct 1999 19:38:25 -0700

Hi Earnie.

So you've convinced me to upgrade my current installation of Cygwin. So I'm
browsing around in:

  ftp://sourceware.cygnus.com/pub/cygwin/snapshots/

and the most recent snapshots that I see are:

  cygwin-inst-19991021.tar.gz
  cygwin1-19991024.dll.gz

Well, your web site talks about installing in a "clean environement", and this
is EXACTLY what I'd prefer to do. By "clean environment", I assume you mean
installing the snapshot into its own directory and running everything from
there.

The thing is that I've noticed the following about the 'inst' snapshot:

- The directory structure of the tar archive is a little different from B20.1.
The hierarchy of B20.1 (C:\Cygnus\cygwin-b20) looked like this:

  H-i586-cygwin32/
  H-i586-cygwin32/bin/
  H-i586-cygwin32/i586-cygwin32/
  H-i586-cygwin32/i586-cygwin32/bin/
  H-i586-cygwin32/i586-cygwin32/include/
  H-i586-cygwin32/i586-cygwin32/lib/
  H-i586-cygwin32/lib/
  H-i586-cygwin32/libexec
  etc/
  include/
  share/

The directory structure of the tar archive looks like this:

  bin/
  etc/
  i586-pc-cygwin32/
  i586-pc-cygwin32/lib/
  i586-pc-cygwin32/include
  lib/

It's nice that the hiearchy has been consolidated and condensed a bit, but
there's a LOT of files in B20.1 that isn't there in the tar archive, like all
of the files from the 'share' directory. I don't really care too much about
this, personally, but I wanted to be sure that this is known.

- The 'gcc' compiler and tools do not seem to be anywhere in the tar archive,
although many of the 'includes' and 'libs' seem to be there. This seems a
little strange.

- A BUNCH of binaries seem to be missing, including: bash, cp, cat, cmp, cut,
diff, (the list goes on).

Clearly I must be missing something here. How would it be possible to set up a
"clean installation" if all of the necessary files are not in place?

I feel like the answer to my question should be obvious, but I just can't seem
to figure out what it is.

Jon Leichter
[email-masked]

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Earnie Boyd
> Sent: Monday, October 25, 1999 7:36 PM
> To: Jon Leichter
> Cc: [email-masked]
> Subject: Re: SIGINT, bash and non-cygwin apps
>
> Hi Jon,
>
> Try it with one of the newest snapshots.  The newer snapshots were
> included on the announced CD and will become the b21 version.
> Note: all of the caveats for upgrading exists.  There are several
> changes, some of which I mention on my webpages.

--
Want to unsubscribe from this list?
Send a message to [email-masked]